### Function

# EBookContacts Contact impp_scheme_to_field

since: 3.60

#### Declaration [src]

    EContactField
    e_contact_impp_scheme_to_field (
      const gchar* scheme,
      guint* out_scheme_len
    )

#### Description [src]

Tries to find one of the predefined `EContactField` for the `scheme`, which can be either the scheme itself, like “icq:”, or a scheme with the value, like “icq:1234”. The `out_scheme_len` can be used to return how many letters from the beginning of the `scheme` can be skipped to get to the actual value. Returns value `E_CONTACT_FIELD_LAST` means no matching `EContactField` was found for the `scheme`. The `E_CONTACT_IMPP` is never returned, then the `scheme` can be a valid scheme, only the `EContactField` does not have a mapping for it.

Available since: 3.60

#### Parameters

`scheme`

  Type: `const gchar*`

  A URI scheme as “icq:”, but can be with a value too.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`out_scheme_len`

  Type: `guint*`

  Optional place where to store how many letters the scheme has.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `EContactField`

An `EContactField` corresponding to the `scheme`, or `E_CONTACT_FIELD_LAST` when no mapping exists for the `scheme`.